<template>

 
        <l-map
        :center="center"
        :zoom="zoom"
        class="map"
        ref="map"
        @update:zoom="zoomUpdated"
        @update:center="centerUpdated"
        
        >
            <l-tile-layer
                :url="url"
            >
    
            </l-tile-layer>
                <restaurant
      v-for="marker in markers"
      :key="marker.id"
      :marker="marker"
    >
    </restaurant>
            
        </l-map>
   
  


</template>


<script>

import { LMap, LTileLayer } from 'vue2-leaflet';
import 'leaflet/dist/leaflet.css';
import Restaurant from './restaurant'


export default {
 components: {
   LMap,
   LTileLayer,
   Restaurant
   
 },
 data () {
   return {
     url: 'https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',
     center: [ 49.1193089, 6.1757156 ],
     zoom: 12,
          markers: [
        {id: 1, imageUrl: 'https://img.icons8.com/color/48/000000/marker--v1.png', coordinates: [ 49.114910, 6.178810 ]}
        
      ]
    }

 },
 methods: {
   zoomUpdated (zoom) {
     this.zoom = zoom;
     console.log(this.markers)
   },
   centerUpdated (center) {
     this.center = center;
   }
 },
}
</script>

<style scoped>

  
.map {
    position: absolute;
    width: 100%;
    height: 750px;
    overflow :hidden
  }
   

  

    
</style>